<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$id_usuario = $_GET['usuario'];
			$doc_identidad = $_GET['doc'];

			$almacen_ccosto = $ges->get_almacen_ccosto();

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen']) && !isset($_POST['REGISTRAR'])){

				require_once("./view/registrar_acceso.phtml");
				
			}

			if(!isset($_SESSION['id_usuario_almacen'])){

				echo'<script type="text/javascript">alert("NO HA INGRESADO SESIÓN");window.location.href="index.php";</script>';
				
			}

			if(isset($_SESSION['id_usuario_almacen']) && isset($_POST['REGISTRAR'])){

				require_once("./view/cargando.phtml");

				if( isset($_POST['almacen'])){

					$validacion = $ges->get_validacion_usuario($id_usuario,$_POST['almacen']);

					if($validacion['total'] == 0){

						$resultado = $ges->set_usuario_acceso( $_POST['almacen'], $id_usuario );
						
						echo'<script type="text/javascript">alert("SE REGISTRÓ CORRECTAMENTE");window.location.href="usuario.php?usuario='.$id_usuario.'&doc='.$doc_identidad.'";</script>';
					
					}else{

						echo'<script type="text/javascript">alert("YA TIENE ASIGNADO ESTE ALMACEN");window.location.href="usuario.php?usuario='.$id_usuario.'&doc='.$doc_identidad.'";</script>';

					}
				}else{

					echo'<script type="text/javascript">alert("DATOS INCOMPLETOS");window.location.href="registrar_acceso.php?usuario='.$id_usuario.'&doc='.$doc_identidad.'";</script>';

				}



			}



?>